## Process and Monitor Files
[![Build Status](https://travis-ci.org/kmgilbert100/file-processor.svg?branch=master)](https://travis-ci.org/kmgilbert100/file-processor)

[![license](https://img.shields.io/github/license/mashape/apistatus.svg?maxAge=2592000)]()

### Description

Simple file processing, and aging system.

1. Monitor method is run
2. A file is added to the directory the monitor is watching
3. The file is read and processed
4. The file is moved to a archive directory after processing
5. The archived file is eventually aged off.

### Installation

```
npm install process-and-monitor-files --save
```

### Usage Example

```js
import ProcessFiles from "process-and-monitor-files";

const processFiles = new ProcessFiles({
  // options ...
});
```
